
Redmine - Defect #18948

Corrct files directory, incorrect links to files

2015-01-25 12:43 - Mad Geniy

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Files Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.6.1

Description

sh: 1: svn: not found

sh: 1: darcs: not found

sh: 1: hg: not found

sh: 1: cvs: not found

sh: 1: bzr: not found

Environment:

Redmine version                2.6.1.stable

Ruby version                   1.8.7-p352 (2011-06-30) [i686-linux]

Rails version                  3.2.21

Environment                    production

Database adapter               Mysql2

SCM:

Git                            1.7.9.5

Filesystem

Redmine plugins:

redmine_checklists             3.0.2

All links in my redmine like "redmine/attachments/XX/xxx.xx".

But uplodaded files are in "redmine/files/xxxx/xx/xxx.xx"

Related issues:

Is duplicate of Redmine - Defect #18928: Incorrect path to uploaded files in ... Closed

History

#1 - 2015-01-25 19:07 - Toshi MARUYAMA

- Related to Defect #18928: Incorrect path to uploaded files in redmine 2.6.1 added

#2 - 2015-01-25 19:12 - Toshi MARUYAMA

- Related to deleted (Defect #18928: Incorrect path to uploaded files in redmine 2.6.1)

#3 - 2015-01-25 19:13 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Dup of #18928.

#4 - 2015-01-25 19:13 - Toshi MARUYAMA

- Is duplicate of Defect #18928: Incorrect path to uploaded files in redmine 2.6.1 added

#5 - 2015-01-25 20:07 - Toshi MARUYAMA

Mad Geniy wrote:

Ruby version                   1.8.7-p352 (2011-06-30) [i686-linux]

 Too old.

Database adapter               Mysql2
https://www.redmine.org/issues/18928


 You should use mysql, not mysql2 on Ruby 1.8.7.

source:tags/2.6.1/config/database.yml.example#L1
